v 15.0 Third Party 2
Live Preview
Lines of code 286
Technical Name kanban_view_selector_cr
LicenseOPL-1
Websitehttps://www.candidroot.com/
Also available in version v 13.0 v 14.0
You bought this module and need support? Click here!
Lines of code 286
Technical Name kanban_view_selector_cr
LicenseOPL-1
Websitehttps://www.candidroot.com/
Also available in version v 13.0 v 14.0
candidroot-logo
Community Enterprise

Kanban View Selector.

User can select multiple records in Kanban view, Bulk print of quotation, Archive, Unarchive, Duplicate and Delete the records in Kanban view.

01

Open Kanban View and select check box and click action button.

02

Click on 'Select All Record'.

03

All checkbox is selected and click action button.

04

Click on 'UnSelect All Record'.

05

All checkbox is unselected.

Get Help From Us!

Email Need Our Service ? Our Products

Our Services

support
Odoo Implementation
apps
Odoo Customization
support
Odoo Development
apps
Odoo Migration
support
Odoo Integration
apps
Odoo Consulting
support
Odoo Support
apps
Odoo Theme Development
support
Odoo CMS Development
apps
Odoo Ecommerce Development
support
Mobile Application Development
apps
Odoo Training

Please Follow Us On

Odoo Proprietary License v1.0
This software and associated files (the "Software") may only be used (executed,
modified, executed after modifications) if you have purchased a valid license
from the authors, typically via Odoo Apps, or if you have received a written
agreement from the authors of the Software (see the COPYRIGHT file).
You may develop Odoo modules that use the Software as a library (typically
by depending on it, importing it and using its resources), but without copying
any source code or material from the Software. You may distribute those
modules under the license of your choice, provided that this license is
compatible with the terms of the Odoo Proprietary License (For example:
LGPL, MIT, or proprietary licenses similar to this one).
It is forbidden to publish, distribute, sublicense, or sell copies of the Software
or modified copies of the Software.
The above copyright notice and this permission notice must be included in all
copies or substantial portions of the Software.
THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

Please log in to comment on this module

  • The author can leave a single reply to each comment.
  • This section is meant to ask simple questions or leave a rating. Every report of a problem experienced while using the module should be addressed to the author directly (refer to the following point).
  • If you want to start a discussion with the author or have a question related to your purchase, please use the support page.
There are no ratings yet!
by
Muhammad Ibrahim
on 10/6/22, 3:48 AM

I get this error when i try to delete a record after selecting it in kanban:
Error:
Odoo Server Error

Traceback (most recent call last):
File "/odoo/odoo14/odoo/addons/base/models/ir_http.py", line 237, in _dispatch
result = request.dispatch()
File "/odoo/odoo14/odoo/http.py", line 683, in dispatch
result = self._call_function(**self.params)
File "/odoo/odoo14/odoo/http.py", line 359, in _call_function
return checked_call(self.db, *args, **kwargs)
File "/odoo/odoo14/odoo/service/model.py", line 94, in wrapper
return f(dbname, *args, **kwargs)
File "/odoo/odoo14/odoo/http.py", line 347, in checked_call
result = self.endpoint(*a, **kw)
File "/odoo/odoo14/odoo/http.py", line 912, in __call__
return self.method(*args, **kw)
File "/odoo/odoo14/odoo/http.py", line 531, in response_wrap
response = f(*args, **kw)
File "/odoo/odoo14/addons/web/controllers/main.py", line 1352, in search_read
return self.do_search_read(model, fields, offset, limit, domain, sort)
File "/odoo/odoo14/addons/web/controllers/main.py", line 1371, in do_search_read
return Model.web_search_read(domain, fields, offset=offset, limit=limit, order=sort)
File "/odoo/odoo14/addons/web/models/models.py", line 62, in web_search_read
records = self.search_read(domain, fields, offset=offset, limit=limit, order=order)
File "/odoo/odoo14/odoo/models.py", line 4862, in search_read
result = records.read(fields)
File "/odoo/odoo14/odoo/models.py", line 3022, in read
return self._read_format(fnames=fields, load=load)
File "/odoo/odoo14/odoo/models.py", line 3042, in _read_format
vals[name] = convert(record[name], record, use_name_get)
File "/odoo/odoo14/odoo/models.py", line 5689, in __getitem__
return self._fields[key].__get__(self, type(self))
File "/odoo/odoo14/odoo/fields.py", line 1021, in __get__
self.compute_value(recs)
File "/odoo/odoo14/odoo/fields.py", line 1177, in compute_value
records._compute_field_value(self)
File "/odoo/odoo14/odoo/models.py", line 4069, in _compute_field_value
getattr(self, field.compute)()
File "/odoo/cr-real-estate/cr_realestate/models/dashboard.py", line 16, in _compute_activities
xml_today_activity_id = self.env.ref('cr_realestate.today_activities').id
File "/odoo/odoo14/odoo/api.py", line 514, in ref
return self['ir.model.data'].xmlid_to_object(xml_id, raise_if_not_found=raise_if_not_found)
File "/odoo/odoo14/odoo/addons/base/models/ir_model.py", line 1944, in xmlid_to_object
t = self.xmlid_to_res_model_res_id(xmlid, raise_if_not_found)
File "/odoo/odoo14/odoo/addons/base/models/ir_model.py", line 1928, in xmlid_to_res_model_res_id
return self.xmlid_lookup(xmlid)[1:3]
File "", line 2, in xmlid_lookup
File "/odoo/odoo14/odoo/tools/cache.py", line 90, in lookup
value = d[key] = self.method(*args, **kwargs)
File "/odoo/odoo14/odoo/addons/base/models/ir_model.py", line 1921, in xmlid_lookup
raise ValueError('External ID not found in the system: %s' % xmlid)
Exception

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
File "/odoo/odoo14/odoo/http.py", line 639, in _handle_exception
return super(JsonRequest, self)._handle_exception(exception)
File "/odoo/odoo14/odoo/http.py", line 315, in _handle_exception
raise exception.with_traceback(None) from new_cause
ValueError: External ID not found in the system: cr_realestate.today_activities


by
Muhammad Ibrahim
on 10/4/22, 2:09 AM

Can i have a demo link so that i can test the behavior on mobile?

Re:
by
CandidRoot Solutions Pvt. Ltd.
on 10/6/22, 1:38 AM Author

Hello, 

Yes Sure, We have created Demo Server link and installed the module "Kanban View Selector"

http://188.166.209.94:8071

User Name : admin
User Name : admin

You can test it by yourself using our demo server, 

Thanks, 

CandidRoot Team


by
CandidRoot Solutions Pvt. Ltd.
on 10/3/22, 5:06 AM Author

Hello Muhammad Ibrahim, 

It will work with Kanban view only. 

We haven't test it with Mobile view as we have created this module for back-end view purpose. 

You can share some more information for wizard views and popup views selection. 

You can email us at info@candidroot.com

Thanks, 

CandidRoot Team


by
Muhammad Ibrahim
on 10/3/22, 3:58 AM

Will this work on wizard views and popup views?
How will we configure this for transient models?

How does this checkbox behave on mobile? Does this allow user to select by press&hold instead of checkbox or will the check box appear in mobile view too?
How does this appear on EE mobile view?

Re:
by
CandidRoot Solutions Pvt. Ltd.
on 10/3/22, 5:03 AM Author